why does spotify linux depends on cups?

Reply

why does spotify linux depends on cups?

MrUlmo
Newbie

Why does the spotify linux client depend on cups?

Is it possible for the devs to make it an option at some point?

3 Replies

Re: why does spotify linux depends on cups?

Spotify
Spotify

 

The client depends on CEF - Chromium Embedded Framework which depends on libcups.so.2 if that is what you mean by cups.

 

It also depends on gtk2 (mostly for clipboard handling) which depends on libcups. It also recommends zenity which depends on gtk3 which depends on libcups. At least on Ubuntu 16.04.

 

The libcups dependency probably won't be removed for a while.

Highlighted

Re: why does spotify linux depends on cups?

xahodo
Newbie

Perhaps you could fix this issue? I don't have a printer and would like to keep out all of the dependencies cups brings in (I run gentoo).

Re: why does spotify linux depends on cups?

ArtGravity
Composer

The Snap App has been the preferred Linux version for two years now. It would likely be beneficial to install snapd on your Gentoo system.

 

Jesse Harris of zigford.org maintains a GitHub repo that may help.

https://github.com/zigford/snapd

SUGGESTED POSTS